package abacus.springboot.example.api.view;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "回购支付明细" , name = "ApiBillHgPayment")
public class ApiBillHgPayment {

	@Schema(description = "回购单号", required = false, example = "线下支付")
	private String billhg;
	
	@Schema(description = "支付方式", required = false, example = "线下支付")
	private String payment;
	
	@Schema(description = "支付金额", required = false, example = "1000")
	private Double amount;
	
	@Schema(description = "账号名称", required = false, example = "张三")
	private String zhmc;
	
	@Schema(description = "开发银行", required = false, example = "工商银行")
	private String khyh;
	
	@Schema(description = "银行账号", required = false, example = "10102010201201021020101")
	private String yhzh;
	

	public String getBillhg() {
		return billhg;
	}

	public void setBillhg(String billhg) {
		this.billhg = billhg;
	}

	public String getPayment() {
		return payment;
	}

	public void setPayment(String payment) {
		this.payment = payment;
	}

	public Double getAmount() {
		return amount;
	}

	public void setAmount(Double amount) {
		this.amount = amount;
	}

	public String getZhmc() {
		return zhmc;
	}

	public void setZhmc(String zhmc) {
		this.zhmc = zhmc;
	}

	public String getKhyh() {
		return khyh;
	}

	public void setKhyh(String khyh) {
		this.khyh = khyh;
	}

	public String getYhzh() {
		return yhzh;
	}

	public void setYhzh(String yhzh) {
		this.yhzh = yhzh;
	}
}
